# TODOs

## Make UI for table
- Show players (+ connection state)
- Show played cards
- Show own cards
- Game negotiation

## Updates from server
- Players at table (+ connection state, first/current player)
- Played cards
- Current player
- Game negotiation data
- Remaining cards
- Game results

## API
- Leave table
- Start game
- Send negotiation input
- Send played card
- Send

## Logic
- Shuffle cards
- Cards, Card sets
- Determine playable cards
- Determine win of round
- Rank game types, negotiation

# Roadmap

Version 2:
- Configure game options
- Switch player positions
- Set first player
- Add game costs and player scores
- Introduce "legen" and "schießen"

Version 3:
- Private tables
- Add simple computer player
- Global statistics for players
- Save data persistently
- Table administrator can remove players



